randxval {ade4} | R Documentation

## Two-fold cross-validation

### Description

Functions and classes to manage outputs of two-fold cross-validation for one (class `randxval`) or several (class `krandxval`) statistics

### Usage

    as.krandxval(RMSEc, RMSEv, quantiles = c(0.25, 0.75), names =
    colnames(RMSEc), call = match.call())
    ## S3 method for class 'krandxval'
    print(x, ...)
    as.randxval(RMSEc, RMSEv, quantiles = c(0.25, 0.75), call =
    match.call())
    ## S3 method for class 'randxval'
    print(x, ...)

### Arguments

`RMSEc` | a vector (class `randxval`) or a matrix (class `krandxval`) with the root-mean-square error of calibration (statistics as columns and repetions as rows)
`RMSEv` | a vector (class `randxval`) or a matrix (class `krandxval`) with the root-mean-square error of validation (statistics as columns and repetions as rows)
`quantiles` | a vector indicating the lower and upper quantiles to compute
`names` | a vector of names for the statistics
`call` | the matching call
`x` | an object of class `randxval` or `krandxval`
`...` | other arguments to be passed to methods

### Value

an object of class `randxval` or `krandxval`

### Author(s)

Stéphane Dray (stephane.dray@univ-lyon1.fr)

### References

Stone M. (1974) Cross-validatory choice and assessment of statistical predictions. Journal of the Royal Statistical Society, 36, 111-147

### See Also

`testdim.multiblock`

### Examples

    ## an example corresponding to 10 statistics and 100 repetitions
    cv <- as.krandxval(RMSEc = matrix(rnorm(1000), nrow = 100), RMSEv =
    matrix(rnorm(1000, mean = 1), nrow = 100))
    cv
    if(adegraphicsLoaded())
    plot(cv)

[Package ade4 version 1.7-13 Index]